import 'package:flutter/material.dart';
import 'package:rwa_camera/CameraModule/OpenCamera.dart';

void main() {
  runApp(HomePage());
}
class HomePage extends StatelessWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(home: MainPage(),);
  }
}

class MainPage extends StatelessWidget {
  const MainPage({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(body: Column(
      children: [
        ElevatedButton(onPressed: ()async{
          await Navigator.push(context, new MaterialPageRoute(builder: (context) => new OpenCamera(switchCamera: true,totalQuestion: 1,)));

        }, child: Text('default')),
        Divider(thickness: 3,color: Colors.black,),
        ElevatedButton(onPressed: ()async{
          await Navigator.push(context, new MaterialPageRoute(builder: (context) => new OpenCamera(switchCamera: true,totalQuestion: 1,uiStyle: UiStyle.smooth,)));

        }, child: Text('smooth')),
        Divider(thickness: 3,color: Colors.black,),
        ElevatedButton(onPressed: ()async{
          await Navigator.push(context, new MaterialPageRoute(builder: (context) => new OpenCamera(switchCamera: true,totalQuestion: 1,uiStyle: UiStyle.overlay,)));

        }, child: Text('overlay')),
        Divider(thickness: 3,color: Colors.black,),
        ElevatedButton(onPressed: ()async{
          await Navigator.push(context, new MaterialPageRoute(builder: (context) => new OpenCamera(switchCamera: true,totalQuestion: 1,uiStyle: UiStyle.cropOverlay,)));

        }, child: Text('crop')),
        Divider(thickness: 3,color: Colors.black,),

      ],
    ),);
  }
}

